Package com.io7m.waxmill.parser.api

# Enum WXMParseErrorType.Severity

java.lang.Object
java.lang.Enum<WXMParseErrorType.Severity>
com.io7m.waxmill.parser.api.WXMParseErrorType.Severity

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<WXMParseErrorType.Severity>`, `java.lang.constant.Constable`

Enclosing interface:
  WXMParseErrorType

    public static enum WXMParseErrorType.Severity
    extends java.lang.Enum<WXMParseErrorType.Severity>

The severity of errors.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ERROR` | The error is an error.
  `WARNING` | The error is a warning.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static WXMParseErrorType.Severity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static WXMParseErrorType.Severity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WARNING

    public static final WXMParseErrorType.Severity WARNING
    The error is a warning.

  - ### ERROR

    public static final WXMParseErrorType.Severity ERROR
    The error is an error.

- ## Method Details

  - ### values

    public static WXMParseErrorType.Severity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WXMParseErrorType.Severity valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null